<?php
/**
 * @package   Essentials YOOtheme Pro 1.9.6 build 0314.1551
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

$mimetypes = $node->control->props['mimetypes'] ?? '';
$mimetypes = explode(',', str_replace(' ', '', $mimetypes));

$extensions = $node->control->props['extensions'] ?? '';
$extensions = explode(',', str_replace([' ', '.'], '', $extensions));
$extensions = preg_filter('/^/', '.', $extensions); // prepend dot

$accept = array_filter(array_merge($mimetypes, $extensions));

$id = $node->control->id ?? null;

if ($node->control->props['id_inherit'] ?? false) {
    $id = $node->control->name;
}

$input = $this->el('input', [
    'type' => 'file',
    'id' => $id,
    'name' => $node->control->props['multiple'] ? $node->control->name . '[]' : $node->control->name,
    'value' => $node->control->value,
    'accept' => count($accept) ? implode(',', $accept) : null,
    'multiple' => (bool) $node->control->props['multiple'] ?? null
]);

?>

<?= $input($node->control->props);
